using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace ControlExplorer
{
    public static class Strings
    {
        private static ResourceLoader _loader = ResourceLoader.GetForCurrentView("ControlExplorer/Resources");

        public static string SessionStateErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateErrorMessage");
            }
        }

        public static string SessionStateKeyErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateKeyErrorMessage");
            }
        }

        public static string SuspensionManagerErrorMessage
        {
            get
            {
                return _loader.GetString("SuspensionManagerErrorMessage");
            }
        }

        public static string InitializationException
        {
            get
            {
                return _loader.GetString("InitializationException");
            }
        }

        public static string NOTextFound
        {
            get
            {
                return _loader.GetString("NOTextFound");
            }
        }

        public static string AlsoFoundAt
        {
            get
            {
                return _loader.GetString("AlsoFoundAt");
            }
        }

        public static string NotFound
        {
            get
            {
                return _loader.GetString("NotFound");
            }
        }

        public static string SolutionNotFound
        {
            get
            {
                return _loader.GetString("SolutionNotFound");
            }
        }

        public static string FileSearchError
        {
            get
            {
                return _loader.GetString("FileSearchError");
            }
        }

    }
}
